package butt.wifisdaccess.model;

import java.util.Date;

/**
 * EXIF image information
 * 
 * @author Andreas Butti
 * 
 */
public class Exif {
	/**
	 * ISO Speed
	 */
	private int iso;

	/**
	 * Size of the image
	 */
	private Size size;

	/**
	 * Aperture F/x
	 */
	private double aperture;

	/**
	 * File path
	 */
	private String path;

	/**
	 * EV
	 */
	private String ev;

	/**
	 * File size in bytes
	 */
	private long fileSize;

	/**
	 * Date
	 */
	private Date date;

	/**
	 * Constructor
	 */
	public Exif() {
	}

	public int getIso() {
		return iso;
	}

	public void setIso(int iso) {
		this.iso = iso;
	}

	public Size getSize() {
		return size;
	}

	public void setSize(Size size) {
		this.size = size;
	}

	public double getAperture() {
		return aperture;
	}

	public void setAperture(double aperture) {
		this.aperture = aperture;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public String getEv() {
		return ev;
	}

	public void setEv(String ev) {
		this.ev = ev;
	}

	public long getFileSize() {
		return fileSize;
	}

	public void setFileSize(long fileSize) {
		this.fileSize = fileSize;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Date getDate() {
		return date;
	}

}
