package butt.wifisdaccess.model;

/**
 * The size of an Image
 * 
 * @author Andreas Butti
 * 
 */
public class Size {

	/**
	 * The width in pixel
	 */
	public int width;

	/**
	 * The height in pixel
	 */
	public int height;

	public Size() {
	}

	public Size(int width, int height) {
		this.width = width;
		this.height = height;
	}

	public int getWidth() {
		return width;
	}

	public int getHeight() {
		return height;
	}

	@Override
	public String toString() {
		return getClass().getName() + "[width=" + width + ",height=" + height
				+ "]";
	}

}
