package ab.wifisdab;

/**
 * @author Andreas Butti
 * 
 * @license GPL
 */

import android.app.Application;
import butt.wifisdaccess.WiFiSdAccess;
import butt.wifisdaccess.transcend.WiFiSdAccessTranscend;

/**
 * Extended Application
 * 
 * @author Andreas Butti
 * 
 */
public class WiFiSdApplication extends Application {
	/**
	 * SD Access implementation
	 */
	private WiFiSdAccess sd = new WiFiSdAccessTranscend();

	public WiFiSdApplication() {
	}
	
	public WiFiSdAccess getSd() {
		return sd;
	}
}
